LINUX.ORG.RU

Установка-удаление расширений для гнома руками

 ,


0

1

Хочу обсудить ещё один эпический замес для гномеров.

Да, имеются пакеты для интеграции браузера и сайта с расширениями, но такой подход не всегда работает корректно, или нет? Если я отстал от жизни, то объясните.

Про «отвалились расширения» понятно: люди хотят, чтобы волонтёры, которые пишут расширения бежали впереди паровоза. Мечтать не вредно (впрочем некоторые и правда шустрые ребята). Ну и для тех, кто использует самые свежие линуксы действительно достаточно держать интеграцию в браузере и получать самые свежие версии расширений.

А вот те, кто завис на предыдущих версиях или внезапно полюбил стейблы, часто просто не в курсе, что интеграция им больше не нужна и расширения надо ставить руками под свою версию гнома.

Объясню как это делать. Критика и лайвхаки категорически приветствуются!

  1. Узнать версию гнома: gnome-shell --version; или <Super> –> about.
  2. На сайте ищешь нужное расширение, там под описанием надо выбрать подходящую версию для своей щели.
  3. Рядом появится возможность выбрать версию самого расширения: берёшь последнюю из списка, но если будут проблемы, то пробуешь другие.
  4. Открываешь например file-roller’ом, кликаешь в архиве на файл metadata.json (он откроется редактором по умолчанию, например gedit).
  5. Из строки "uuid": "бла-бла-бла",, копируешь бла-бла-бла.
  6. В каталоге ~/.local/share/gnome-shell/extensions создаёшь каталог с названием, которое скопировал из строки "uuid".
  7. В этот новый каталог разархивируешь содержимое архива (из file-roller’а можно тупо перетащить мышкой).

Всё, на этом расширение установлено. (В иксах надо перезагрузить gnome-shell: <Alt+F2> –> r)

Если расширение подошло, то можно больше ничего не делать, однако, если у него есть настройки, которые ты хочешь настраивать через dconf-editor, и тебя напрягают знаки вопросов рядом с опциями, то:

  1. В каталоге, куда ты сложил содержимое архива (7-ой шаг), есть каталог schemas, где найдешь файл типа бла-бла-бла.gschema.xml.
  2. Этот файл надо скопировать в каталог ~/.local/share/glib-2.0/schemas.
  3. И скомандовать glib-compile-schemas ~/.local/share/glib-2.0/schemas.

Чтобы удалить расширение, надо зайти в ~/.local/share/gnome-shell/extensions и удалить каталог с расширением (в иксах перезагрузить gnome-shell).

Если напрягает, что в dconf остались настройки для несуществующего расширения (то же самое касается и удалённых программ), то удаляем командой dconf reset -f /путь/до/настроек. Этот самый путь можно либо скопировать из dconf-editor’а, наведя и кликнув мышкой на название расширения (или программы) на панели, либо открыть рядом терминал и руками написать путь, пользуясь табом для автодобавления пути.

У кого вяленый, подскажите, надо там что-то ещё делать, или оно сразу подхватывает?

У кого вяленый, подскажите, надо там что-то ещё делать, или оно сразу подхватывает?

У меня вейланд. Гном правда старый - 41.3. Ничего руками не надо никуда пихать. И в консоле командовать. Если прям чешется, можно установить dconf-editor.

В котором достаточно тыкнуть мышей по адресу /org/gnome/shell/disable-extension-version-validation

И всё чудесно работает. Последняя поломка расширений была при переходе 38-40. Дольше всех чинили Dash2Dock

utanho ★★★ ()
Ответ на: комментарий от utanho

Дык дело не в валидации, а в том, что одна версия работает, а другая тупо нет. Когда версии гнома близки, это может редко проявляться, а если версия гнома 32, а расширение для 36 (или наоборот), то почти гарантированно работать не будет.

papin-aziat ★★★★★ ()
Ответ на: комментарий от utanho

Проверил, сам никогда эту настройку не трогал:

$ gsettings list-recursively |grep validation
org.gnome.shell disable-extension-version-validation true
papin-aziat ★★★★★ ()
Ответ на: комментарий от spal

Спасибо! А в обратную сторону? Схему компилит автоматически?

papin-aziat ★★★★★ ()
Ответ на: комментарий от utanho

Гном правда старый - 41.3.

Кстати, в генте патчат гном для тройной буферизации? Реально анимации становятся шикарные, я на федорке проверил, без этих патчей я даже близко к сракогному не подойду (думал, что перейду на кеды, пока не узнал про эти патчи).

papin-aziat ★★★★★ ()
Ответ на: комментарий от spal

Ну это прямо очень старый гном.

Клон 8-ой шляпы, причем там половина софта вообще из 3.28.

Начиная с 3.36 утилита gnome-extensions точно должна быть из коробки.

Да, знаю, наследница утилиты gnome-shell-extension-prefs, только её почему-то на поверхность не клали, надо было копировать десктоп-файл в хомяк и убирать NoDisplay=true.

Во такая: https://i.ibb.co/VTH5jnj/2206-4233458.png

papin-aziat ★★★★★ ()
Ответ на: комментарий от papin-aziat

Кстати, в генте патчат гном для тройной буферизации?

Понятия не имею, всегда отключаю. анимацию. И на смартфоне тоже.

П.С. Анимация - не тот момент, из-за которого надо менять ДЕ.

У Гнома хватает проблем и косяков без этого.

utanho ★★★ ()
Последнее исправление: utanho (всего исправлений: 1)
Ответ на: комментарий от utanho

Для моей системы это повседневность. Из-за мешанины в гноме и видимо какой-то продолжающейся поддержки, некоторые даже вроде бы нативные версии расширений могут не работать и приходится подбирать работающую версию.

А люблю видимо не только я: у этого класса систем (7, 8, теперь вот 9 приехала), дофига любителей, судя по репозиториям, где довольно широко представлен десктоп. Дебиан же и того больше, считай хомячковый стейбл, благодаря перебежчикам из убунту и большим репозиториям.

papin-aziat ★★★★★ ()
Ответ на: комментарий от utanho

Тоже раньше не юзал, даже в браузере плавный скролл, но потом пересмотрел, — все таки это часть экспириенса, они его делают более естественным, когда работают прилично.

papin-aziat ★★★★★ ()
Для того чтобы оставить комментарий войдите или зарегистрируйтесь.